// EditKeyType.cpp : implementation file
//

#include "stdafx.h"
#include "ContentTrack.h"
#include "EditKeyType.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditKeyType dialog


CEditKeyType::CEditKeyType(CWnd* pParent /*=NULL*/)
	: CDialog(CEditKeyType::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditKeyType)
	m_editName = _T("");
	//}}AFX_DATA_INIT
}


void CEditKeyType::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditKeyType)
	DDX_Control(pDX, IDC_EDIT_KEYTYPE, m_editKeyType);
	DDX_Control(pDX, IDC_COMBO_KEYTYPE, m_comboKeyType);
	DDX_Text(pDX, IDC_EDIT_KEYTYPE, m_editName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditKeyType, CDialog)
	//{{AFX_MSG_MAP(CEditKeyType)
	ON_CBN_SELENDOK(IDC_COMBO_KEYTYPE, OnSelendokComboKeytype)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditKeyType message handlers

BOOL CEditKeyType::OnInitDialog() 
{	
	CDialog::OnInitDialog();
	for (int x=0;x<MAX_KEYTYPE;x++)
		m_comboKeyType.AddString(NAME_KEYTYPE[x]);
	m_comboKeyType.SetCurSel(this->m_iCurSel);
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CEditKeyType::OnSelendokComboKeytype() 
{
	m_iCurSel = m_comboKeyType.GetCurSel();		
}
